
"""
ZeroCopy dummy service to enable ZeroCopy binary transfers
"""

from ... import services
from ... import compat, protocol, services, channel, peer, errors


class ZeroCopyService(services.Service):
    instance = None

    def __init__(self):
        ZeroCopyService.instance = self

    def getName(self):
        return "ZeroCopy"


class ZeroCopyServiceProvider(services.ServiceProvider):
    def get_local_service(self, _channel):
        class CommandServer(channel.CommandServer):
            def command(self, token, name, data):
                pass
        _channel.addCommandServer(ZeroCopyService.instance, CommandServer())
        return (ZeroCopyService.instance,)

ZeroCopyService()
services.add_service_provider(ZeroCopyServiceProvider())