from .. import test


class TestProxy(test.TestService):
    def add_manager(self, manager_name, done):
        return self.send_xicom_command("addManager", (manager_name,), done)

    def remove_manager(self, manager_name, done):
        return self.send_xicom_command("removeManager", (manager_name,), done)

    def add_node(self, manager_name, ctx, props, done):
        return self.send_xicom_command("addNode", (manager_name, ctx, props), done)

    def remove_node(self, manager_name, ctx, done):
        return self.send_xicom_command("removeNode", (manager_name, ctx), done)

    def update_node(self, manager_name, ctx, props, done):
        return self.send_xicom_command("updateNode", (manager_name, ctx, props), done)

    def exit(self, done):
        return self.send_xicom_command("exit", (), done)
